{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, flake-utils, nixpkgs }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        mytexlive = pkgs.texliveBasic.withPackages
          (ps: [
            ps.biber
            ps.biblatex
            ps.bibtex
            ps.babel
            ps.csquotes
            ps.digestif
            ps.import
            ps.subfiles
            ps.wrapfig
            ps.collection-langjapanese
            ps.amsmath
            ps.amsfonts
            ps.mathtools
            ps.listings
            ps.luatexja
            ps.luainputenc
            ps.lualatex-math
            ps.luacode
            ps.enumitem
            ps.latex-fonts
            ps.hyperref
            ps.graphics
            ps.xcolor
            ps.xpatch
            ps.xstring
            ps.float
            ps.framed
            ps.fontspec
            ps.ninecolors
            ps.here
            ps.caption
            ps.newtx
            ps.tabularray
          ]);
      in
      {
        devShells.default = pkgs.stdenv.mkDerivation {
          name = "LaTeX Environment";
          nativeBuildInputs = [
            mytexlive
            pkgs.pandoc
            pkgs.qpdf
            pkgs.mermaid-cli
          ];
        };
      }
    );
}
